package com.dgtis.dorm.manager.db.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.util.Date;

/**
 * 我的材料表 zhll_user_material
 * 
 * @author ruoyi
 * @date 2019-07-10
 */
public class ZhllUserMaterial
{
	private static final long serialVersionUID = 1L;
	
	/** 主键 */
	private String id;
	/** 材料显示名称 */
	private String materialName;
	/** 材料访问路径 */
	private String materialUrl;
	/** 小程序用户id */
	private String userId;
	/** 添加时间 */
	private Date addTime;
	/** 添加人 */
	private String addUser;
	/** 修改时间 */
	private Date modifyTime;
	/** 修改人 */
	private String modifyUser;
	/** 删除标记 */
	private String delFlag;

	public void setId(String id) 
	{
		this.id = id;
	}

	public String getId() 
	{
		return id;
	}
	public void setMaterialName(String materialName) 
	{
		this.materialName = materialName;
	}

	public String getMaterialName() 
	{
		return materialName;
	}
	public void setMaterialUrl(String materialUrl) 
	{
		this.materialUrl = materialUrl;
	}

	public String getMaterialUrl() 
	{
		return materialUrl;
	}
	public void setUserId(String userId) 
	{
		this.userId = userId;
	}

	public String getUserId() 
	{
		return userId;
	}
	public void setAddTime(Date addTime) 
	{
		this.addTime = addTime;
	}

	public Date getAddTime() 
	{
		return addTime;
	}
	public void setAddUser(String addUser) 
	{
		this.addUser = addUser;
	}

	public String getAddUser() 
	{
		return addUser;
	}
	public void setModifyTime(Date modifyTime) 
	{
		this.modifyTime = modifyTime;
	}

	public Date getModifyTime() 
	{
		return modifyTime;
	}
	public void setModifyUser(String modifyUser) 
	{
		this.modifyUser = modifyUser;
	}

	public String getModifyUser() 
	{
		return modifyUser;
	}
	public void setDelFlag(String delFlag) 
	{
		this.delFlag = delFlag;
	}

	public String getDelFlag() 
	{
		return delFlag;
	}

    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("materialName", getMaterialName())
            .append("materialUrl", getMaterialUrl())
            .append("userId", getUserId())
            .append("addTime", getAddTime())
            .append("addUser", getAddUser())
            .append("modifyTime", getModifyTime())
            .append("modifyUser", getModifyUser())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
